## ros-rolling-tf2-eigen 0.21.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_eigen)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)

find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION include/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)

  ament_cppcheck(LANGUAGE "c++")
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify(LANGUAGE "c++")

  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(tf2_eigen-test test/tf2_eigen-test.cpp)
  if(TARGET tf2_eigen-test)
    target_include_directories(tf2_eigen-test PUBLIC
      include)
    ament_target_dependencies(tf2_eigen-test
      "tf2"
      "tf2_ros")
    target_include_directories(tf2_eigen-test PUBLIC
      ${Eigen3_INCLUDE_DIRS})
  endif()
endif()

ament_export_include_directories(include)
ament_export_dependencies(
  eigen3_cmake_module
  Eigen3
  tf2
  tf2_ros)
ament_package()

=== debian/changelog ===
ros-rolling-tf2-eigen (0.21.0-1focal) focal; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-tf2-eigen (0.20.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-tf2-eigen (0.19.0-1focal) focal; urgency=high

  * Remove some references to the ROS 1 wiki.
  * Add doTransform function for twists or wrenches (#406 <https://github.com/ros2/geometry2/issues/406>)
  * Contributors: AndyZe, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Oct 2021 07:00:00 -0000

ros-rolling-tf2-eigen (0.18.0-1focal) focal; urgency=high

  * Reenable stamped eigen tests (#429 <https://github.com/ros2/geometry2/issues/429>)
  * Deprecate tf2_eigen.h (#413 <https://github.com/ros2/geometry2/issues/413>)
  * Contributors: Bjar Ne, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Jun 2021 07:00:00 -0000

ros-rolling-tf2-eigen (0.17.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-tf2-eigen (0.17.0-1focal) focal; urgency=high

  * Fix linter errors (#385 <https://github.com/ros2/geometry2/issues/385>)
  * Fix up the style in tf2_eigen. (#378 <https://github.com/ros2/geometry2/issues/378>)
  * Fix doTransform with Eigen Quaternion (#369 <https://github.com/ros2/geometry2/issues/369>)
  * Contributors: Audrow Nash, Bjar Ne, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-tf2-eigen (0.16.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-tf2-eigen (0.15.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-tf2-eigen (0.15.0-1focal) focal; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-tf2-eigen (0.14.1-1focal) focal; urgency=high

  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Contributors: Ivan Santiago Paunovic

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-tf2-eigen (0.14.0-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Aug 2020 07:00:00 -0000

ros-rolling-tf2-eigen (0.13.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-tf2-eigen (0.13.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-tf2-eigen (0.13.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-tf2-eigen (0.13.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-tf2-eigen (0.13.0-1focal) focal; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-tf2-eigen (0.12.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-tf2-eigen (0.12.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-rolling-tf2-eigen (0.12.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-rolling-tf2-eigen (0.12.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-tf2-eigen (0.12.0-1focal) focal; urgency=high

  * Adds toMsg & fromMsg for Eigen Vector3
  * Adds additional conversions for tf2, KDL, Eigen
  * Use eigen3_cmake_module (#144 <https://github.com/ros2/geometry2/issues/144>)
  * Contributors: Ian McMahon, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-tf2-eigen (0.11.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 24 May 2019 07:00:00 -0000

ros-rolling-tf2-eigen (0.11.2-1focal) focal; urgency=high

  * Port tf2_kdl (#90 <https://github.com/ros2/geometry2/issues/90>)
    * tf2_eigen, leftover from the cherry-pick
    While cherry-picking changes to get isometry3d in
    * Update tf2_eigen, add toMsg2
    Convert a Eigen::Vector3d type to a geometry_msgs::msg::Vector3
    while avoiding overloading issues with previous definitions
    * Default to C++14
    * Define _USE_MATH_DEFINES so Windows gets M_PI symbol.
  * Contributors: Víctor Mayoral Vilches

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-tf2-eigen (0.11.1-1focal) focal; urgency=high

  * also export Eigen3 include directories (#102 <https://github.com/ros2/geometry2/issues/102>)
  * Contributors: Marcus Scheunemann

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 09 May 2019 07:00:00 -0000

ros-rolling-tf2-eigen (0.11.0-1focal) focal; urgency=high

  * Updated to use ament_target_dependencies where possible. (#98 <https://github.com/ros2/geometry2/issues/98>)
  * Contributors: ivanpauno

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-rolling-tf2-eigen (0.10.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-rolling-tf2-eigen (0.10.0-1focal) focal; urgency=high





=== debian/control ===
Source: ros-rolling-tf2-eigen
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-tf2, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-tf2-eigen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-tf2, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: tf2_eigen

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-tf2-eigen//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-tf2-eigen 0.33.1

=== debian/changelog ===
ros-rolling-tf2-eigen (0.33.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-tf2-eigen (0.33.0-1jammy) jammy; urgency=high

  * Add another reference for twist transformation. Comment correction. (#620 <https://github.com/ros2/geometry2/issues/620>)
  * Contributors: AndyZe

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-tf2-eigen (0.32.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-tf2-eigen (0.32.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-tf2-eigen (0.32.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-tf2-eigen (0.31.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-tf2-eigen (0.31.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-tf2-eigen (0.31.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-tf2-eigen (0.30.0-1jammy) jammy; urgency=high

  * Update the demos to C++17. (#578 <https://github.com/ros2/geometry2/issues/578>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-tf2-eigen (0.29.0-1jammy) jammy; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Nov 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.28.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.27.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.26.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Aug 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.26.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 Jun 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.26.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.25.0-1jammy) jammy; urgency=high

  * Workaround broken RHEL FindEigen3.cmake (#513 <https://github.com/ros2/geometry2/issues/513>)
  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.24.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.23.0-1jammy) jammy; urgency=high

  * Disable mem-access warnings on aarch64. (#506 <https://github.com/ros2/geometry2/issues/506>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.22.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.21.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-tf2-eigen (0.20.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-tf2-eigen (0.19.0-1jammy) jammy; urgency=high

  * Remove some references to the ROS 1 wiki.
  * Add doTransform function for twists or wrenches (#406 <https://github.com/ros2/geometry2/issues/406>)
  * Contributors: AndyZe, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Oct 2021 00:00:00 -0000

ros-rolling-tf2-eigen (0.18.0-1jammy) jammy; urgency=high

  * Reenable stamped eigen tests (#429 <https://github.com/ros2/geometry2/issues/429>)
  * Deprecate tf2_eigen.h (#413 <https://github.com/ros2/geometry2/issues/413>)
  * Contributors: Bjar Ne, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Jun 2021 00:00:00 -0000

ros-rolling-tf2-eigen (0.17.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-tf2-eigen (0.17.0-1jammy) jammy; urgency=high

  * Fix linter errors (#385 <https://github.com/ros2/geometry2/issues/385>)
  * Fix up the style in tf2_eigen. (#378 <https://github.com/ros2/geometry2/issues/378>)
  * Fix doTransform with Eigen Quaternion (#369 <https://github.com/ros2/geometry2/issues/369>)
  * Contributors: Audrow Nash, Bjar Ne, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-rolling-tf2-eigen (0.16.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-tf2-eigen (0.15.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-tf2-eigen (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette



=== debian/control ===
Source: ros-rolling-tf2-eigen
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-tf2, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-tf2-eigen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-rolling-geometry-msgs, ros-rolling-tf2, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: tf2_eigen

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
